<div class="upload-page">
  <div class="upload-sidebar">
    <h5>
      <a href="/assets/template.las" download> <span>XL</span> Download LAS Template </a>
    </h5>

    <div class="content">
      <div class="upload-label">Upload Standard LAS Template</div>
      <idemg-idemg-upload-file
        (fileUploaded)="upload($event)"
        [full]="!(files.length || uploading.length)"
      ></idemg-idemg-upload-file>

      <ng-container *ngIf="files.length || uploading.length">
        <ng-container *ngFor="let file of uploading">
          <idemg-upload-progress [progress]="file.progress"></idemg-upload-progress>
        </ng-container>

        <mat-tab-group class="cover-tab">
          <mat-tab label="Uploaded">
            <ul class="file-list">
              <ng-container *ngFor="let file of files">
                <li *ngIf="file.status === 'Uploaded'" [class.selected]="selected === file" (click)="select(file)">
                  <div>
                    <div class="name">{{ file['name'] }}</div>
                    <div class="time">{{ file.createdAt | timeAgo }}</div>
                  </div>

                  <button mat-icon-button [matMenuTriggerFor]="menu" (click)="$event.stopPropagation()">
                    <mat-icon>more_vert</mat-icon>
                  </button>
                  <mat-menu #menu="matMenu" xPosition="before">
                    <button mat-menu-item>
                      <mat-icon class="mat-icon-rt-mirror">reply</mat-icon>
                      <span>Export</span>
                    </button>
                    <button mat-menu-item>
                      <mat-icon>cloud_download</mat-icon>
                      <span>Download</span>
                    </button>
                    <hr />
                    <button mat-menu-item class="red-text" (click)="toggleReject(file, $event)">
                      <mat-icon>cancel_presentation</mat-icon>
                      <span>Reject</span>
                    </button>
                  </mat-menu>
                </li>
              </ng-container>
            </ul>
          </mat-tab>
          <mat-tab label="Rejected">
            <ul class="file-list rejected">
              <ng-container *ngFor="let file of files">
                <li
                  *ngIf="file.status === 'Rejected' || !file.status"
                  [class.selected]="selected === file"
                  (click)="select(file)"
                >
                  <div>
                    <div class="name">{{ file['name'] }}</div>
                    <div class="time">{{ file.createdAt | timeAgo }}</div>
                  </div>
                  <button mat-icon-button (click)="toggleReject(file, $event)">
                    <mat-icon>history</mat-icon>
                  </button>
                </li>
              </ng-container>
            </ul>
          </mat-tab>
        </mat-tab-group>
      </ng-container>
    </div>
  </div>

  <div class="page-content">
    <div class="no-data" *ngIf="!selected">
      <mat-icon>insert_chart</mat-icon>
      No graph to show <br />
      Please upload *.LAS file
    </div>

    <ng-container *ngIf="selected">
      <div class="file-data">
        <div class="header">
          <h5>{{ selected['name'] }}</h5>
          <div class="actions">
            <button mat-button class="warning-btn" (click)="toggleReject(selected, $event)">
              Reject/Re-Import Data
            </button>
            <button mat-flat-button class="secondary-btn" (click)="openCalculateDialog(selected)">Calculate</button>
          </div>
        </div>
      </div>

      <idemg-line-chart [data]="chart" (legendClick)="openUpdateValuesDialog($event)"></idemg-line-chart>
    </ng-container>
  </div>
  <div class="content-loading" *ngIf="isLoading">
    <gng-spinner></gng-spinner>
  </div>
</div>
